// Arc class -*- c++ -*-

#ifdef __GNUC__
# pragma implementation
#endif // __GNUC__
#include "Arc.h"
#include "Marking.h"

/** @file Arc.C
 * Labelled arc in a net
 */

Arc::Arc (bool output,
	  class Marking& expr,
	  const class Place& place) :
  myIsOutput (output), myExpr (&expr),
  myPlace (&place)
{
  expr.setPlace (myPlace);
}

Arc::~Arc ()
{
  myExpr->destroy ();
}

void
Arc::append (class Marking& expr)
{
  expr.setPlace (myPlace);
  myExpr->append (expr);
}
